using System;

namespace Takmicenje_3._god_1._zadatk
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            char c1 = s[0];
            char c2 = s[1];
            string[] red = Console.ReadLine().Split();
            long a1 = Convert.ToInt64(red[0]);
            long a2 = Convert.ToInt64(red[1]);
            if (Math.Abs(a1 - a2) >= 2)
            {
                Console.WriteLine("nemoguce");
                return;
            }
            else
            {
                if (a1 > a2)
                {
                    for (int i = 0; i < a1 + a2; i++)
                    {
                        if (i % 2 == 0)
                        {
                            Console.Write(c1);
                        }
                        else
                        {
                            Console.Write(c2);
                        }
                    }
                }
                else
                {
                    for (int i = 0; i < a1 + a2; i++)
                    {
                        if (i % 2 == 0)
                        {
                            Console.Write(c2);
                        }
                        else
                        {
                            Console.Write(c1);
                        }
                    }
                }
            }
            Console.WriteLine();
        }
    }
}